Description

Not sure why it's doing this. I've tried 2 different installations.

ie_esc is a module I installed from the forge.  It's not being imported into Foreman. Below is the output from foreman-proxy log when

I do run the import via the UI.

I validated the manifest and no errors.

I, [2015-05-20T04:22:16.237329 #28532]  INFO -- : Running scan_directory on production:

/etc/puppet/environments/production/modules

I, [2015-05-20T04:22:16.237635 #28532]  INFO -- : Scanning class ie_esc

I, [2015-05-20T04:22:16.243152 #28532]  INFO -- : Scanning class stdlib

I, [2015-05-20T04:22:16.246767 #28532]  INFO -- : Scanning class ntp

I, [2015-05-20T04:22:16.292196 #28532]  INFO -- : Scanning class registry

I, [2015-05-20T04:22:16.306605 #28532]  INFO -- : Cache file need to be updated for production:

/etc/puppet/environments/production/modules

History

#1 - 05/20/2015 02:39 AM - Dominic Cleal

- Status changed from New to Feedback

Assuming you mean https://forge.puppetlabs.com/souldo/ie_esc, then there are no classes in it to import.  It adds a new defined type, which is a lower

level building block that you can use from your own modules and classes.

Add your own class that uses it, then import that to Foreman.

#2 - 05/20/2015 10:30 AM - Brian Beaulieu

Thanks Dominic!  That explains it all...

Dominic Cleal wrote:

Assuming you mean https://forge.puppetlabs.com/souldo/ie_esc, then there are no classes in it to import.  It adds a new defined type, which is a

lower level building block that you can use from your own modules and classes.

Add your own class that uses it, then import that to Foreman.

#3 - 05/17/2017 10:30 AM - Anonymous

- Status changed from Feedback to Resolved
